Subject: [PATCH 0/3] powerpc: cmo fix page loaning and add info to lparcfg

From: Robert Jennings <[email-masked]>
Date: Fri, 15 Aug 2008 14:02:30 -0500

We need to correct a problem found where the kernel is using 64k pages
but the firmware pages size is 4k.  In this case we were not properly
marking pages as 'loaned' to firmware.

To fix this I exposed some data pulled from rtas during early setup.  I
also made these values available via /proc/ppc64/lparcfg in the second
patch.

The first patch makes the data available and the other two patches
(unrelated to each other) depend on the first.

Regards,
Robert Jennings